echo examples: $1
echo algorithm: $6 
echo dataset: $3
echo dumpfile: $4
echo chunksize: $5

i=1
until [  $i -gt 10 ]; do

java -Xmx5000m -cp moaAUC.jar -javaagent:sizeofag.jar -javaagent:sizeofag.jar moa.DoTask "EvaluatePrequential -e (OnlyKappaEvaluator -w $5) -d Kappa$6$4_$i.csv -l ($2) -s ($3) -i $1 -f 1"
java -Xmx5000m -cp moaAUC.jar -javaagent:sizeofag.jar -javaagent:sizeofag.jar moa.DoTask "EvaluatePrequential -e (OnlyKappaEvaluator -w $5) -d Kappa$6$4_Block_$i.csv -l ($2) -s ($3) -i $1 -f $5"

java -Xmx5000m -cp moaAUC.jar -javaagent:sizeofag.jar -javaagent:sizeofag.jar moa.DoTask "EvaluatePrequential -e (OnlyPreqAUCEvaluator -w $5) -d AUC$6$4_$i.csv -l ($2) -s ($3) -i $1 -f 1"
java -Xmx5000m -cp moaAUC.jar -javaagent:sizeofag.jar -javaagent:sizeofag.jar moa.DoTask "EvaluatePrequential -e (OnlyPreqAUCEvaluator -w $5) -d AUC$6$4_Block_$i.csv -l ($2) -s ($3) -i $1 -f $5"

	let i+=1
done 

#printf "$4,$6," >> AucAverages.csv
#sed '1,2d' $6$4.csv | awk -F ',' '{ test = $2; memory += $12; auc += $5; sauc += $6; accuracy += $7; kappa += $8; holdoutauc += $9; ratio += $10;} END {print test/NR, ",", memory/NR/(1024*1024), ",", auc/NR, ",", sauc/NR, ",", accuracy/NR, ",", kappa/NR, ",", holdoutauc/NR, ",", ratio/NR, ",", NR}' >> AucAverages.csv
